Dahdi Trunks - 2.10 Beta

8 posts / 0 new
Last post
stonet
stonet's picture
Dahdi Trunks - 2.10 Beta

I notice Dahdi Trunk that was there in 2.9 Trunk Module is not present in 2.10. This gave the ability of searching groups ascending and descending. Is this intentional or is it a bug?

I did try loading the Dahdi module in 2.10 as I thought this might be the reason as I had it loaded in 2.9 but Dahdi Trunk has not appeared.

alan_mousty
alan_mousty's picture
Are you are referring to the

Are you are referring to the DAHDI module that was written by Digium? This module does not work.

stonet
stonet's picture
Yes I know, that is why I

Yes I know, that is why I did not load it initially with 2.10 but I did have it loaded on my 2.9 system and wondered if that was why the Dahdi Trunk did not appear in the Trunk Module options for 2.10, so I loaded it on 2.10 but the Dahdi Trunk option still has not appeared in the Trunk Module.

I liked the Dahdi Trunk option because it meant that I could change the search order on groups and I am not sure what will happen if I upgrade from 2.9 to 2.10 given that the option does not seem to be there in 2.10.

alan_mousty
alan_mousty's picture
This module has not worked

This module has not worked correctly for a long time. You are lucky that it even worked in FreePBX 2.9. Digium is not maintaining it. Your best bet is to configure DAHDI using the config files. There are multiple post about the deficiencies of this module.

tonyclewis
tonyclewis's picture
Stonet What are you

Stonet

What are you referring to. I am confused here.

What do you mean dahdi does not appear in the Trunk Module

Tony Lewis
Schmooze Com/FreePBX
Opening a Bug or Feature request demo video

stonet
stonet's picture
On my 2.9 system when adding

On my 2.9 system when adding a new trunk the second item on the list of trunk types to add is Add Dahdi Trunk and the third item is Add Zap Trunk (Dahdi Compatibility Mode) but in 2.10 the second item is simply Add Zap Trunk and Add Dahdi Trunk is not there.

I have had the Dahdi module loaded on my only 2.9 system since I installed it so that might be the reason for this difference, although when I discovered the difference I tried loading the Dahdi Module on both of my 2.10 systems and Add Dahdi Trunk and Add Zap Trunk (Dahdi Compatibility Mode) have not appeared so it seems that is not the reason.

tonyclewis
tonyclewis's picture
Have you updated all your

Have you updated all your modules???? There were changes in 2.10 and a small bug that was just fixed on Friday. The changes were to only handle dahdi since 2.10 only support Asterisk 1.6.2 or higher which only support dahdi.

Tony Lewis
Schmooze Com/FreePBX
Opening a Bug or Feature request demo video

stonet
stonet's picture
Ah, that's it, done the

Ah, that's it, done the upgrade and the options are there, thanks for your help Tony.